import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const getAllocationInformation = createAsyncThunk(
  "GET_ALLOCATION_INFORMATION",
  async (d) => {
    const { data, status } = await axios.get(
      `province_check_operator_request/`,
      { params: { ...d, role: getRoleFromUrl() } }
    );
    return { data, status };
  }
);
